summaryrefslogtreecommitdiffstats
path: root/extras/vcl-ldpreload/test/emacs_gdb_curl.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2017-10-19 03:47:42 -0400
committerKeith Burns <alagalah@gmail.com>2017-10-19 14:27:51 +0000
commit86b8e26b331bb6db4ce69aa9fa7c0ea1392b985d (patch)
treefcc16330a6516195229770877303fb50920c0992 /extras/vcl-ldpreload/test/emacs_gdb_curl.sh
parent41a9e51f65aae3639771d9af53e810b43a5aee19 (diff)
vcl-ldpreload: test script enhancements
Change-Id: Iff302a35cd5d35bf0671a63e8ba81a0c60a231eb Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'extras/vcl-ldpreload/test/emacs_gdb_curl.sh')
-rwxr-xr-xextras/vcl-ldpreload/test/emacs_gdb_curl.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/extras/vcl-ldpreload/test/emacs_gdb_curl.sh b/extras/vcl-ldpreload/test/emacs_gdb_curl.sh
new file mode 100755
index 00000000000..a5d6be3dfee
--- /dev/null
+++ b/extras/vcl-ldpreload/test/emacs_gdb_curl.sh
@@ -0,0 +1,33 @@
+#! /bin/bash
+
+if [ -z "$WS_ROOT" ] ; then
+ echo "ERROR: WS_ROOT environment variable is not set!"
+ exit 1
+fi
+
+source $WS_ROOT/extras/vcl-ldpreload/env.sh
+tmp_gdb_cmdfile="/tmp/gdb_cmdfile_curl.$$"
+
+trap "rm -f $tmp_gdb_cmdfile" SIGINT SIGTERM EXIT
+
+cat <<EOF > $tmp_gdb_cmdfile
+set confirm off
+source $WS_ROOT/extras/gdb/gdb_cmdfile.vpp
+set exec-wrapper env LD_PRELOAD=$VCL_LDPRELOAD_LIB_DIR/libvcl_ldpreload.so.0.0.0
+start
+EOF
+
+gdb_in_emacs() {
+ sudo -E emacs --eval "(gdb \"gdb -x $tmp_gdb_cmdfile -i=mi --args $*\")" --eval "(setq frame-title-format \"CURL-DEBUG (VCL-LDPRELOAD)\")"
+}
+
+# Extract nginx IPv4 address from docker bridge
+#
+nginx_addr=$(docker network inspect bridge | grep IPv4Address | awk -e '{print $2}' | sed -e 's,/16,,' -e 's,",,g' -e 's/,//')
+
+if [ -z "$nginx_addr" ] ; then
+ echo "ERROR: Unable to determine docker container address!"
+ exit 1
+fi
+
+gdb_in_emacs /usr/bin/curl http://$nginx_addr